﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url           = 'https://downloads.jtl-software.de/setup-jtl-wawi_1.6.46.1_0125-1714_48e3a67d753.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  softwareName  = 'JTL-Wawi*'
  checksum      = '1dcb628fb61366127f0cb20435df9ce4a4e244629a6eb1c892bab4b418c8d1ea'
  checksumType  = 'sha256'
  #silentArgs	 = "/SP- /ALLUSERS /NOCANCEL /NORESTART /LOG /NORESTARTAPPLICATIONS /CLOSEAPPLICATIONS /SUPPRESSMSGBOXES"
  silentArgs	 = "/SP- /VERYSILENT /ALLUSERS /NOCANCEL /NORESTART /LOG /NORESTARTAPPLICATIONS /CLOSEAPPLICATIONS "
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
